summaryrefslogtreecommitdiff
path: root/extra/clucene
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/clucene
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/clucene')
-rw-r--r--extra/clucene/PKGBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/extra/clucene/PKGBUILD b/extra/clucene/PKGBUILD
new file mode 100644
index 000000000..825cbefa3
--- /dev/null
+++ b/extra/clucene/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 20266 2008-12-01 21:26:10Z tpowa $
+# Contributor: Alois Nespor <alois.nespor@gmail.com>
+# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=clucene
+pkgver=0.9.21b
+pkgrel=1
+pkgdesc="CLucene is a C++ port of Lucene: A high-performance, full-featured text search engine."
+arch=('i686' 'x86_64')
+url="http://clucene.sourceforge.net"
+license=('APACHE' 'LGPL')
+depends=('gcc-libs')
+makedepends=('libtool' 'autoconf' 'automake' 'doxygen')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-core-$pkgver.tar.bz2)
+options=(!libtool)
+
+build() {
+ cd ${srcdir}/$pkgname-core-$pkgver
+ # fix for some packages
+ CXXFLAGS="$CXXFLAGS -fPIC"
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=${pkgdir} install
+}
+md5sums=('ba1a8f764a2ca19c66ad907dddd88352')